OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_FlowLineSpec Class Reference

defines FlowLineSpec, Type <406> Form <14>
in package IGESAppli
Attaches one or more text strings to entities being
used to represent a flow line

`#include <IGESAppli_FlowLineSpec.hxx>`

Inheritance diagram for IGESAppli_FlowLineSpec:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_FlowLineSpec ()
Standard_EXPORT void | Init (const Handle(Interface_HArray1OfHAsciiString)&allProperties)
| This method is used to set the fields of the class FlowLineSpec - allProperties : primary flow line specification and modifiers .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values
Standard_EXPORT Handle_TCollection_HAsciiString | FlowLineName () const
| returns primary flow line specification name
Standard_EXPORT Handle_TCollection_HAsciiString | Modifier (const Standard_Integer Index) const
| returns specified modifier element raises exception if Index <= 1 or Index > NbPropertyValues
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Interface_HArray1OfHAsciiString | theNameAndModifiers

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_FlowLineSpec::IGESAppli_FlowLineSpec | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_FlowLineSpec::FlowLineName | ( |  | ) | const

Standard_EXPORT const IGESAppli_FlowLineSpec::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_FlowLineSpec::Init | ( | const Handle(Interface_HArray1OfHAsciiString)& | allProperties | ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_FlowLineSpec::Modifier | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_FlowLineSpec::NbPropertyValues | ( |  | ) | const

## Field Documentation

Handle_Interface_HArray1OfHAsciiString IGESAppli_FlowLineSpec::theNameAndModifiers`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_FlowLineSpec.hxx